# Get collaboration summary

This endpoint aggregates performance data (total as well as per_brand/per_influencer) across the collaborated posts, including total_likes, total_shares, total_views, total_collects, and total_plays.</br> 			Every successful request costs <b>0.2 credit</b>.

Endpoint: POST /collaborations/summary
Security: accessToken

## Request fields (application/json):

  - `id` (string, required)
    User ID / Username / Profile URL, User ID is preferred. Note: We do not support brand ID in this endpoint yet.
    Example: cristiano

  - `platform` (string, required)
    Enum: "instagram", "tiktok", "youtube"

  - `collaboratorId` (string)
    If provided, only returns the collaboration summary between the specified influencer and brand. For Youtube, if you want to extract collaborations summary with a specific brand, use the brand's domain name instead of the user ID.

  - `cursor` (string)
    Cursor for pagination (only valid for 2 days)

  - `limit` (number)
    Number of collaboration summaries per page

  - `groupBrandCollaborations` (boolean)
    If true, brand collaborations summaries will be grouped across all platforms. This provides insights about the brand across all its social accounts.
For example: if you request brand collaborations summary for @cocacola on Instagram, you will get collaboration summary for posts sponsored by Coca Cola on all three platforms (Instagram, Tiktok and Youtube).
Note: In some cases, this may group regional or variant accounts (e.g., @cocacola_uk, @cocacola_us) when they represent the same brand identity. Set this flag to false if social media account-specific insights are needed.

## Response 200 fields (application/json):

  - `error` (boolean)
    If there is an error
    Example: false

  - `cursor` (string)
    Cursor for pagination (only valid for 2 days)

  - `influencer` (object)
    Only available if the requested profile has influencer collaborations

  - `influencer.id` (string, required)
    User ID / Username / Profile URL
    Example: johndoe

  - `influencer.platform` (string, required)
    Enum: "instagram", "tiktok", "youtube"

  - `influencer.is_more_available` (boolean)
    True if there are more per-brand / per-influencer collaboration summmaries available

  - `influencer.summary` (any, required)
    Influencer collaboration summary for all brands

  - `influencer.summary.total_collaborations` (number)

  - `influencer.summary.first_collaboration_timestamp` (number)

  - `influencer.summary.last_collaboration_timestamp` (number)

  - `influencer.summary.feed_photo` (object)

  - `influencer.summary.feed_photo.total_distinct_posts` (number)

  - `influencer.summary.feed_photo.total_collaborations` (number)

  - `influencer.summary.feed_photo.total_plays` (number)

  - `influencer.summary.feed_photo.total_views` (number)

  - `influencer.summary.feed_photo.total_likes` (number)

  - `influencer.summary.feed_photo.total_comments` (number)

  - `influencer.summary.total_distinct_posts` (number)

  - `influencer.summary.total_distinct_brands` (number)

  - `influencer.summary.photo` (object)

  - `influencer.summary.photo.total_distinct_posts` (number)

  - `influencer.summary.photo.total_collaborations` (number)

  - `influencer.summary.photo.total_likes` (number)

  - `influencer.summary.photo.total_comments` (number)

  - `influencer.summary.photo.total_views` (number)

  - `influencer.summary.photo.total_shares` (number)

  - `influencer.summary.photo.total_collects` (number)

  - `influencer.summary.short` (object)

  - `influencer.summary.short.total_distinct_posts` (number)

  - `influencer.summary.short.total_collaborations` (number)

  - `influencer.summary.short.total_likes` (number)

  - `influencer.summary.short.total_comments` (number)

  - `influencer.summary.short.total_views` (number)

  - `influencer.per_brand_summary` (array, required)
    Influencer summary for collaborations with specific brands

  - `influencer.per_brand_summary.brand` (object, required)
    Brand data

  - `influencer.per_brand_summary.brand.name` (string)
    Brand name
    Example: Honda

  - `influencer.per_brand_summary.brand.username` (string)
    Brand username
    Example: honda

  - `influencer.per_brand_summary.brand.domain` (string)
    Brand domain
    Example: honda.com

  - `influencer.per_brand_summary.brand.logo_url` (string)
    Brand logo
    Example: https://images.od.modash.io/739b39affeb633d30a8a4280668605b091af0083

  - `influencer.per_brand_summary.brand.user_id` (string)
    User ID or domain of the influencer
    Example: 1234567890

  - `influencer.per_brand_summary.brand.brand_id` (string)
    User ID or domain of the sponsor

  - `influencer.per_brand_summary.brand.category` (string, required)
    Brand category (if multiple categories are relevant, we return the most relevant one)
    Enum: "Consumer Packaged Goods (CPG)", "Retail", "B2B/Enterprise/Industrial", "Classifieds & Local", "Food Beverage Restaurants", "Healthcare", "Media & Entertainment", "Technology", "Education", "Finance", "Automotive", "Travel", "Others", "Unknown"

  - `influencer.per_brand_summary.summary` (any, required)
    Performance summary for collaborations between the influencer and the brand

  - `influencer.per_brand_summary.summary.total_collaborations` (number)

  - `influencer.per_brand_summary.summary.first_collaboration_timestamp` (number)

  - `influencer.per_brand_summary.summary.last_collaboration_timestamp` (number)

  - `brand` (object)
    Only available if the requested profile has brand collaborations

  - `brand.id` (string, required)
    User ID / Username / Profile URL
    Example: johndoe

  - `brand.platform` (string, required)
    Enum: "instagram", "tiktok", "youtube"

  - `brand.is_more_available` (boolean)
    True if there are more per-brand / per-influencer collaboration summmaries available

  - `brand.summary` (any, required)
    Brand collaboration summary for all influencers

  - `brand.summary.total_collaborations` (number)

  - `brand.summary.first_collaboration_timestamp` (number)

  - `brand.summary.last_collaboration_timestamp` (number)

  - `brand.summary.total_distinct_posts` (number)

  - `brand.summary.total_distinct_influencers` (number)

  - `brand.per_influencer_summary` (array, required)
    Brand summary for collaborations with specific influencers

  - `brand.per_influencer_summary.influencer` (object, required)
    Influencer data

  - `brand.per_influencer_summary.influencer.username` (string)
    Influencer username

  - `brand.per_influencer_summary.influencer.user_id` (string)
    Influencer user ID

  - `brand.per_influencer_summary.influencer.user_picture` (string)
    Influencer user picture

  - `brand.per_influencer_summary.summary` (any, required)
    Performance summary for collaborations between the brand and the influencer

## Response 404 fields (application/json):

  - `error` (boolean)
    If there is an error
    Example: false

